For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Tools

Update Tool

PATCH
https://api.vapi.ai/tool/:id
PATCH
/tool/:id
$curl -X PATCH https://api.vapi.ai/tool/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "type": "apiRequest",
3 "createdAt": "2024-01-15T09:30:00Z",
4 "id": "string",
5 "method": "POST",
6 "orgId": "string",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "url": "string",
9 "backoffPlan": {
10 "type": "fixed",
11 "maxRetries": 0,
12 "baseDelaySeconds": 1,
13 "excludedStatusCodes": [
14 400,
15 401,
16 403,
17 404
18 ]
19 },
20 "body": {
21 "type": "string",
22 "items": {},
23 "properties": {},
24 "description": "string",
25 "pattern": "string",
26 "format": "date-time",
27 "required": [
28 "string"
29 ],
30 "enum": [
31 "string"
32 ],
33 "title": "string"
34 },
35 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
36 "description": "string",
37 "encryptedPaths": [
38 "string"
39 ],
40 "headers": {
41 "type": "string",
42 "items": {},
43 "properties": {},
44 "description": "string",
45 "pattern": "string",
46 "format": "date-time",
47 "required": [
48 "string"
49 ],
50 "enum": [
51 "string"
52 ],
53 "title": "string"
54 },
55 "messages": [
56 {
57 "contents": [
58 {
59 "type": "text",
60 "text": "string",
61 "language": "aa"
62 }
63 ],
64 "type": "request-start",
65 "blocking": false,
66 "content": "string",
67 "conditions": [
68 {
69 "operator": "eq",
70 "param": "string",
71 "value": "string"
72 }
73 ]
74 }
75 ],
76 "name": "string",
77 "parameters": [
78 {
79 "key": "string",
80 "value": {}
81 }
82 ],
83 "rejectionPlan": {
84 "conditions": [
85 {
86 "type": "regex",
87 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
88 }
89 ]
90 },
91 "timeoutSeconds": 20,
92 "variableExtractionPlan": {
93 "schema": {
94 "type": "string",
95 "items": {},
96 "properties": {},
97 "description": "string",
98 "pattern": "string",
99 "format": "date-time",
100 "required": [
101 "string"
102 ],
103 "enum": [
104 "string"
105 ],
106 "title": "string"
107 },
108 "aliases": [
109 {
110 "key": "string",
111 "value": "string"
112 }
113 ]
114 }
115}
Was this page helpful?
Previous

List Files

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Request

This endpoint expects an object.
apiRequestobjectRequired
OR
dtmfobjectRequired
OR
endCallobjectRequired
OR
functionobjectRequired
OR
transferCallobjectRequired
OR
handoffobjectRequired
OR
bashobjectRequired
OR
computerobjectRequired
OR
textEditorobjectRequired
OR
queryobjectRequired
OR
google.calendar.event.createobjectRequired
OR
google.sheets.row.appendobjectRequired
OR
google.calendar.availability.checkobjectRequired
OR
slack.message.sendobjectRequired
OR
smsobjectRequired
OR
mcpobjectRequired
OR
gohighlevel.calendar.availability.checkobjectRequired
OR
gohighlevel.calendar.event.createobjectRequired
OR
gohighlevel.contact.createobjectRequired
OR
gohighlevel.contact.getobjectRequired
OR
sipRequestobjectRequired
OR
voicemailobjectRequired

Response

apiRequestobject
OR
codeobject
OR
dtmfobject
OR
endCallobject
OR
functionobject
OR
transferCallobject
OR
handoffobject
OR
bashobject
OR
computerobject
OR
textEditorobject
OR
queryobject
OR
google.calendar.event.createobject
OR
google.sheets.row.appendobject
OR
google.calendar.availability.checkobject
OR
slack.message.sendobject
OR
smsobject
OR
mcpobject
OR
gohighlevel.calendar.availability.checkobject
OR
gohighlevel.calendar.event.createobject
OR
gohighlevel.contact.createobject
OR
gohighlevel.contact.getobject
OR
sipRequestobject
OR
voicemailobject